import request from '@/utils/request'

// 查询分配记录日志列表
export function listDistribution(query) {
  return request({
    url: '/laboratory/distribution/list',
    method: 'get',
    params: query
  })
}

// 查询分配记录日志详细
export function getDistribution(id) {
  return request({
    url: '/laboratory/distribution/' + id,
    method: 'get'
  })
}

// 新增分配记录日志
export function addDistribution(data) {
  return request({
    url: '/laboratory/distribution',
    method: 'post',
    data: data
  })
}

// 修改分配记录日志
export function updateDistribution(data) {
  return request({
    url: '/laboratory/distribution',
    method: 'put',
    data: data
  })
}

// 删除分配记录日志
export function delDistribution(id) {
  return request({
    url: '/laboratory/distribution/' + id,
    method: 'delete'
  })
}
